.introduce-company {
  padding-top: 60px;
  text-align: center;
  background-color: white;
}

.introduce-company-inner {
  margin: 0 auto;
}

.hero {
  margin: 114px 0 42px;
}

.hero-title {
  font-size: var(--font-h5);
  line-height: 1.3;
  margin-bottom: 16px;
}

.hero-desc {
  font-size: var(--font-b4);
  color: #0000008c;
}

/*롤링 섹선*/
.rolling-container {
  width: 100%;
  overflow: hidden;
  margin: 11.2px 0;
  touch-action: pan-y;
}

.rolling-track {
  display: flex;
  gap: 11.2px;
  width: max-content;
  will-change: transform;
  transform: translate3d(0, 0, 0);
}

.rolling-set {
  display: flex;
  gap: 11.2px;
}

.rolling-track.left-to-right {
  animation: scrollLeft 30s linear infinite;
}

.rolling-track.right-to-left {
  animation: scrollRight 30s linear infinite;
}

.badge {
  display: inline-flex;
  align-items: center;
  gap: 9.8px;
  padding: 18.2px 32.2px;
  border-radius: 134.4px;
  white-space: nowrap;
  font-size: var(--font-b5);
  font-weight: var(--font-weight-medium);
  flex-shrink: 0;
  color: #fff;
}

.badge-yellow {
  background: var(--brand-primary);
}

.badge-black {
  background: #121212;
}

.badge-blue {
  background: var(--brand-tertiary);
}

.avatar {
  width: 35.95px;
  height: 35.95px;
  border-radius: 50%;
  flex-shrink: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* main*/
.company-main {
  padding: 40px 20px 0;
}

.company-main-title {
  font-size: var(--font-h5);
  line-height: 1.4;
  font-weight: var(--font-weight-regular);
}

.company-main-title-last {
  display: block;
  margin-top: 0.67em;
}

.company-main-cards {
  display: flex;
  flex-direction: column;
  gap: 60px;
  margin-top: 100px;
}

.company-main-card {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.quotation {
  width: 24px;
  height: 20px;
  margin-bottom: 32px;
}

.main-card-title {
  font-size: 28px;
  font-weight: var(--font-weight-bold);
  color: #6c6c6c;
  margin-bottom: 30px;
  line-height: 1.23;
}

.main-card-title strong {
  color: black;
}

.main-card-img-box {
  background-color: #f6f6f6;
  border-radius: 31px;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 308px;
  width: 100%;
  position: relative;
  overflow: hidden;
}

.main-card-img-box img {
  height: 254px;
  width: auto;
  position: absolute;
  transition: opacity 0.3s ease;
}

.main-card-img-box .img-grayscale {
  opacity: 0;
}

.main-card-img-box .img-color {
  opacity: 1;
}

.only-mobile {
  display: inline;
}

.without-mobile {
  display: none;
}

/* img section */
.company-img {
  padding: 80px 20px 95px;
}

.company-img-title {
  font-size: 28px;
  font-weight: var(--font-weight-bold);
  color: #6c6c6c;
  line-height: 1.48;
}

.company-img-title strong {
  color: black;
}

.gallery-container {
  background: white;
}

.gallery {
  display: flex;
  flex-direction: column;
  margin-top: 44px;
  gap: 16px;
}

.gallery-item {
  overflow: hidden;
  border-radius: 16px;
}

.gallery-item.first {
  height: 202px;
}

.gallery-column {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.gallery-item.second {
  height: 395px;
}

.gallery-row {
  display: flex;
  gap: 16px;
}

.gallery-item.third {
  height: 168.5px;
  width: 50%;
}

.gallery-item.fourth {
  height: 141px;
  width: 50%;
}

.gallery-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: transform 0.3s ease;
}

/* 연혁 */
.company-history {
  padding: 20px;
}

.history-card {
  background-color: #f6f8fb;
  border-radius: 20px;
  padding: 80px 20px;
}

.history-title {
  font-size: 28px;
  line-height: 1.47;
  font-weight: var(--font-weight-bold);
}

.history-title strong {
  color: var(--brand-tertiary);
}

/* 타임라인 */
.timeline-wrapper {
  width: 100%;
  position: relative;
  margin-top: 32px;
}

/* 세로 줄 */
.vertical-line {
  position: absolute;
  left: 50%;
  top: 6px;
  width: 1px;
  height: calc(7 * 102px + 6px);
  background-color: #8f8f8f;
  transform: translateX(-50%);
}

.timeline-item {
  position: relative;
  height: 102px;
  display: flex;
  align-items: flex-start;
}

.timeline-item:last-child {
  height: auto;
}

/* 왼쪽 콘텐츠 */
.left-content {
  width: 50%;
  text-align: right;
  display: flex;
  flex-direction: column;
}

/* 오른쪽 콘텐츠 */
.right-content {
  width: 50%;
  text-align: left;
  display: flex;
  flex-direction: column;
}

/* 중앙 도트 */
.dot-container {
  width: 41px;
  display: flex;
  justify-content: center;
  flex-shrink: 0;
}

.dot {
  width: 12px;
  height: 12px;
  background-color: #b0b0b0;
  border-radius: 50%;
  position: relative;
  z-index: 10;
}

.dot.current {
  width: 17px;
  height: 17px;
  background-color: #fff;
  border: 5px solid #000;
  box-shadow: 0 0 0 2px #000;
}

.timeline-item h2 {
  font-size: var(--font-b3);
  font-weight: var(--font-weight-bold);
  margin-bottom: 13px;
  color: #000;
}

.timeline-item p {
  font-size: var(--font-caption);
  line-height: 1.2;
  color: #000;
}

/*map*/
.map-section {
  padding: 60px 20px 101px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 20px;
}

.map-section h2 {
  font-size: var(--font-b1);
  font-weight: var(--font-weight-bold);
  line-height: 1.24;
}

.map-section p {
  color: #6c6c6c;
  font-weight: var(--font-weight-medium);
  font-size: var(--font-b3);
}

.map {
  width: 100%;
  height: 352px;
}

@keyframes scrollLeft {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(calc(-100% / 5));
  }
}

@keyframes scrollRight {
  0% {
    transform: translateX(calc(-100% / 5));
  }
  100% {
    transform: translateX(0);
  }
}

@media (min-width: 800px) {
  .only-mobile {
    display: none;
  }

  .without-mobile {
    display: inline;
  }

  .hero {
    margin: 168.14px 0 69px;
  }

  .hero-title {
    font-size: var(--font-h1);
    line-height: 1.2;
    margin-bottom: 24px;
  }

  .hero-desc {
    font-size: var(--font-b1);
    line-height: 1.45;
  }

  .rolling-container {
    margin: 16px 0;
  }

  .rolling-track {
    gap: 16px;
  }

  .rolling-set {
    gap: 16px;
  }

  .badge {
    gap: 14px;
    padding: 26px 46px;
    border-radius: 192px;
    font-size: var(--font-b2);
  }

  .company-main {
    padding: 144.14px 20px 0;
  }

  .company-main-title {
    font-size: var(--font-h2);
    line-height: 1.3;
  }

  .company-main-cards {
    padding: 0 20px;
    gap: 40px;
    margin-top: 80px;
  }

  .company-main-card {
    padding: 78px 0;
    background-color: #f6f6f6;
    border-radius: 31px;
  }

  .main-card-title {
    margin-bottom: 8px;
    font-size: var(--font-h5);
  }

  .main-card-img-box {
    height: 375px;
  }

  .main-card-img-box img {
    height: 375px;
  }

  .company-img {
    padding: 120px 20px 43px;
  }

  .company-img-title {
    font-size: var(--font-h4);
  }

  .gallery {
    margin-top: 80px;
    flex-direction: row;
    gap: 32px;
    padding: 0 20px;
  }

  .gallery-column {
    gap: 32px;
    flex: 1;
  }
  .gallery-item.first {
    height: 718px;
    width: 34%;
    margin-top: 35px;
  }

  .gallery-item.second {
    height: 498px;
  }

  .gallery-row {
    gap: 32px;
  }

  .gallery-item.third {
    height: 300px;
  }

  .gallery-item.fourth {
    height: 251px;
  }

  .history-title {
    font-size: var(--font-40);
  }

  .timeline-wrapper {
    margin-top: 80px;
  }

  .timeline-item h2 {
    font-size: 28px;
  }

  .timeline-item p {
    font-size: var(--font-b3);
    line-height: 1.57;
  }
  .map-section h2 {
    font-size: var(--font-40);
  }

  .map-section p {
    font-size: var(--font-b2);
  }
}

@media (min-width: 1280px) {
  .introduce-company-inner {
    max-width: 1240px;
  }

  .hero-title {
    margin-bottom: 45px;
  }

  .hero {
    margin: 131px 0 40px;
  }

  .company-main {
    padding: 140px 10px 0;
  }

  .company-main-cards {
    flex-direction: row;
    justify-content: center;
  }

  .company-main-card {
    width: 50%;
    transition: all 0.3s ease;
    cursor: pointer;
    height: 723px;
    justify-content: flex-end;
    transition: all 0.3s ease;
    cursor: pointer;
  }

  /* 기본 상태: 흑백 이미지 보임, 텍스트 숨김 */
  .company-main-card .quotation,
  .company-main-card .main-card-title {
    opacity: 0;
    height: 0;
    margin: 0;
    overflow: hidden;
    transition: all 0.3s ease;
  }

  .company-main-card .main-card-img-box {
    opacity: 1;
    height: 375px;
  }

  .company-main-card:first-child .img-grayscale {
    opacity: 1;
    height: 350px;
  }

  .company-main-card .img-grayscale {
    opacity: 1;
  }

  .company-main-card .img-color {
    opacity: 0;
  }

  /* 호버 시: 컬러 이미지 + 텍스트 보임 */
  .company-main-card:hover .quotation {
    opacity: 1;
    height: 20px;
    margin-bottom: 32px;
  }

  .company-main-card:hover .main-card-title {
    opacity: 1;
    height: auto;
    margin-bottom: 30px;
  }

  .company-main-card:hover .img-grayscale {
    opacity: 0;
  }

  .company-main-card:hover .img-color {
    opacity: 1;
  }

  /* PC에서만 호버 효과 적용 */
  .gallery-item:hover img {
    transform: scale(1.05);
  }

  .gallery-item {
    cursor: pointer;
  }
}
